AGXid (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, class: AGXid

Package com.franz.agraph.repository

# Class AGXid

java.lang.Object
com.franz.agraph.repository.AGXid

All Implemented Interfaces:
  `Xid`

public class AGXid extends Object implements Xid
This class provides an AllegroGraph-compatible implementation of the Xid interface. It is used to name prepared commits.

- ## Field Summary

  ### Fields inherited from interface javax.transaction.xa.Xid

  `MAXBQUALSIZE, MAXGTRIDSIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGXid(int formatId, byte[] globalTransactionId, byte[] branchQualifier)`
  `AGXid(Xid xid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AGXid`
  `AGXidFromString(String s)`
  `byte[]`
  `getBranchQualifier()`
  Returns a copy of the branch qualifier part of this Xid.
  `int`
  `getFormatId()`
  `byte[]`
  `getGlobalTransactionId()`
  Returns a copy of the global transaction id part of this Xid.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AGXid

    public AGXid(int formatId, byte[] globalTransactionId, byte[] branchQualifier)

  - ### AGXid

    public AGXid(Xid xid)

- ## Method Details

  - ### AGXidFromString

    public static AGXid AGXidFromString(String s) throws DecoderException
    Throws:
      `DecoderException`

  - ### getFormatId

    public int getFormatId()
    Specified by:
      `getFormatId` in interface `Xid`

  - ### getGlobalTransactionId

    public byte[] getGlobalTransactionId()
    Returns a copy of the global transaction id part of this Xid.
    Specified by:
      `getGlobalTransactionId` in interface `Xid`

  - ### getBranchQualifier

    public byte[] getBranchQualifier()
    Returns a copy of the branch qualifier part of this Xid.
    Specified by:
      `getBranchQualifier` in interface `Xid`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`